EasyMockSupport (EasyMock Class extension 3.2 API)
Date: 2013-07-11

org.easymock.classextension

## Class EasyMockSupport

- java.lang.Object
- - org.easymock.EasyMockSupport
  - - org.easymock.classextension.EasyMockSupport

- Deprecated.
  You can use `EasyMockSupport` even for class mocking

      @Deprecated
      public class EasyMockSupport
      extends EasyMockSupport

  This class is provided solely to allow an easier transition to EasyMock 3.0. You should now use `EasyMockSupport` for classes and interfaces mocking.
  Author:
    Henri Tremblay

- - ### Field Summary

    - ### Fields inherited from class org.easymock.EasyMockSupport

      `controls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EasyMockSupport()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMocksControl` | `createControl()` Deprecated.
    `<T> T` | `createMock(Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createMock(Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createMock(String name, Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createMock(String name, Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `IMocksControl` | `createNiceControl()` Deprecated.
    `<T> T` | `createNiceMock(Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createNiceMock(Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createNiceMock(String name, Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createNiceMock(String name, Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `IMocksControl` | `createStrictControl()` Deprecated.
    `<T> T` | `createStrictMock(Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createStrictMock(Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createStrictMock(String name, Class<T> toMock, ConstructorArgs constructorArgs, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
    `<T> T` | `createStrictMock(String name, Class<T> toMock, Method... mockedMethods)` Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead

    - ### Methods inherited from class org.easymock.EasyMockSupport

      `createControl, createMock, createMock, createMock, createMock, createMock, createMock, createMockBuilder, createNiceMock, createNiceMock, createNiceMock, createNiceMock, createStrictMock, createStrictMock, createStrictMock, createStrictMock, injectMocks, replayAll, resetAll, resetAllToDefault, resetAllToNice, resetAllToStrict, verifyAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EasyMockSupport

          public EasyMockSupport()

      Deprecated.

  - ### Method Detail

    - #### createStrictMock

          @Deprecated
          public <T> T createStrictMock(Class<T> toMock,
                                          Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is enabled by default.
      Overrides:
        `createStrictMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createStrictMock

          @Deprecated
          public <T> T createStrictMock(String name,
                                          Class<T> toMock,
                                          Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is enabled by default.
      Overrides:
        `createStrictMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createStrictMock

          @Deprecated
          public <T> T createStrictMock(Class<T> toMock,
                                          ConstructorArgs constructorArgs,
                                          Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is enabled by default.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createStrictMock

          @Deprecated
          public <T> T createStrictMock(String name,
                                          Class<T> toMock,
                                          ConstructorArgs constructorArgs,
                                          Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is enabled by default.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createMock

          @Deprecated
          public <T> T createMock(Class<T> toMock,
                                    Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default.
      Overrides:
        `createMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createMock

          @Deprecated
          public <T> T createMock(String name,
                                    Class<T> toMock,
                                    Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default.
      Overrides:
        `createMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createMock

          @Deprecated
          public <T> T createMock(Class<T> toMock,
                                    ConstructorArgs constructorArgs,
                                    Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createMock

          @Deprecated
          public <T> T createMock(String name,
                                    Class<T> toMock,
                                    ConstructorArgs constructorArgs,
                                    Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createNiceMock

          @Deprecated
          public <T> T createNiceMock(Class<T> toMock,
                                        Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default, and the mock object will return `0`, `null` or `false` for unexpected invocations.
      Overrides:
        `createNiceMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createNiceMock

          @Deprecated
          public <T> T createNiceMock(String name,
                                        Class<T> toMock,
                                        Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default, and the mock object will return `0`, `null` or `false` for unexpected invocations.
      Overrides:
        `createNiceMock` in class `EasyMockSupport`
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createNiceMock

          @Deprecated
          public <T> T createNiceMock(Class<T> toMock,
                                        ConstructorArgs constructorArgs,
                                        Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default, and the mock object will return `0`, `null` or `false` for unexpected invocations.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createNiceMock

          @Deprecated
          public <T> T createNiceMock(String name,
                                        Class<T> toMock,
                                        ConstructorArgs constructorArgs,
                                        Method... mockedMethods)

      Deprecated. Use `EasyMockSupport.createMockBuilder(Class)` instead
      Creates a mock object that implements the given class, order checking is disabled by default, and the mock object will return `0`, `null` or `false` for unexpected invocations.
      Type Parameters:
        `T` - the interface that the mock object should implement.
      Parameters:
        `name` - the name of the mock object.
        `toMock` - the class of the interface that the mock object should implement.
        `constructorArgs` - constructor and parameters used to instantiate the mock.
        `mockedMethods` - methods that will be mocked, other methods will behave normally
      Returns:
        the mock object.

    - #### createStrictControl

          public IMocksControl createStrictControl()

      Deprecated.
      Overrides:
        `createStrictControl` in class `EasyMockSupport`

    - #### createControl

          public IMocksControl createControl()

      Deprecated.
      Overrides:
        `createControl` in class `EasyMockSupport`

    - #### createNiceControl

          public IMocksControl createNiceControl()

      Deprecated.
      Overrides:
        `createNiceControl` in class `EasyMockSupport`

Copyright © 2003-2013 OFFIS, Henri Tremblay. All Rights Reserved.